Subject: bug#6278: Segmentation fault at exit if server-mode

From: Lennart Borgman <[email-masked]>
Date: Sat, 29 May 2010 08:43:07 +0200

On Sat, May 29, 2010 at 8:32 AM, Eli Zaretskii <[email-masked]> wrote:
>> From: Lennart Borgman <[email-masked]>
>> Date: Sat, 29 May 2010 03:46:02 +0200
>> Cc: [email-masked]
>>
>> I just saw this in dbg. It might be related but I am not sure since I
>> believe I got an error from make-frame in this instance.
>>
>> This error might of course have to do with the current bidi work.
>
> It's hard to do anything about such a crash without having a clear
> recipe for reproducing it, starting with "emacs -Q".  Whatever problem
> caused it, happened before you invoked kill-emacs, and in a different
> place.

Yes, of course, but I have no better information.

>> My checkout is from 2010-05-22 (and patched).
>>
>> #24 0x011d3277 in w32_abort () at w32fns.c:8183
>> #25 0x010b87d9 in check_glyph_memory () at dispnew.c:2610
>> #26 0x01002f8d in shut_down_emacs (sig=0, no_x=0, stuff=45467674)
>>     at emacs.c:2198
>> #27 0x01002eb4 in Fkill_emacs (arg=45467674) at emacs.c:2104
>
> Please show the function check_glyph_memory in your sources, with line
> numbers.  check_glyph_memory can abort in two different places, and
> your sources are different from the current trunk, so it's hard to
> know which one actually aborted.

It aborts here (line 2610):

  if (glyph_matrix_count)
    abort ();

> Also, is this an optimized build or non-optimized one?

non-optimized.

> Finally, what are the values of glyph_matrix_count and
> glyph_pool_count in frame #25?

Sorry, I had to reboot. If this happens again I will look at it.